

%define ksane_major 5
%define libksane %mklibname kf5sane %ksane_major
%define libksane_devel %mklibname kf5sane -d

Name: libksane
Summary:  A library for dealing with scanners 
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libksane
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: kconfig-devel
BuildRequires: ki18n-devel
BuildRequires: kwallet-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: ktextwidgets-devel
BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: qtbase5-common-devel
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: libsane-devel
BuildRequires: lib64kfsanecore-devel

%description
LibKSane is a KDE interface for SANE library to control flat scanner.

%files
%_iconsdir/hicolor/16x16/actions/*
%_kf5_libdir/libKF5Sane.so.%{ksane_major}*
%_kf5_datadir/locale
%_kf5_libdir/libKF5Sane.so.*
#------------------------------------------------------------------------------


%package -n %libksane_devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: %{name} = %version-%release
Provides: %name-devel = %version-%release

%description -n %libksane_devel
LibKSane is a KDE interface for SANE library to control flat scanner.

This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %libksane_devel
%_kf5_includedir/KSane
%_kf5_libdir/cmake/KF5Sane
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

